Bug 1310248 - AMQP connection doesn't recover after rabbitmq-server restart
Summary: AMQP connection doesn't recover after rabbitmq-server restart
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.4.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: GA
: 5.4.5
Assignee: Ladislav Smola
QA Contact: Ola Pavlenko
URL:
Whiteboard: retest:openstack:event
Depends On: 1222005
Blocks: 1291721 1310245
TreeView+ depends on / blocked
 
Reported: 2016-02-19 20:56 UTC by John Prause
Modified: 2019-10-10 11:16 UTC (History)
16 users (show)

Fixed In Version: 5.4.5.2
Doc Type: Bug Fix
Doc Text:
Previously, the AMQP connection did not recover after rabbitmq-server restart. This was because the previous Bunny gem couldn't handle a reconnect when AMQP service got restarted. This patch updated the Bunny gem and the AMQP connection now recovers as expected.
Clone Of: 1222005
Environment:
Last Closed: 2016-03-29 14:18:28 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:0171 normal SHIPPED_LIVE CFME 5.4.5 bug fixes, and enhancement update 2016-03-29 18:13:52 UTC

Comment 3 CFME Bot 2016-03-04 15:41:48 UTC
New commit detected on cfme/5.4.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=f949b4a6bd8805b9d9802229af9694723c1fdda4

commit f949b4a6bd8805b9d9802229af9694723c1fdda4
Author:     Ladislav Smola <lsmola@redhat.com>
AuthorDate: Wed Mar 2 10:25:58 2016 +0100
Commit:     Ladislav Smola <lsmola@redhat.com>
CommitDate: Wed Mar 2 10:25:58 2016 +0100

    Update Bunny gem
    
    Update Bunny gem, the old gem couldn't handle reconnect when
    amqp service got restarted.
    
    Seems like new bunny works the same, so no changes in using it
    are needed.
    
    Fixes BZ:
    https://bugzilla.redhat.com/show_bug.cgi?id=1310248

 lib/Gemfile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 4 CFME Bot 2016-03-04 15:41:53 UTC
New commit detected on cfme/5.4.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=b27f4e60f94984db197a3d860677c92f1fb7e1e5

commit b27f4e60f94984db197a3d860677c92f1fb7e1e5
Merge: 574a1ef f949b4a
Author:     Greg Blomquist <gblomqui@redhat.com>
AuthorDate: Fri Mar 4 10:29:38 2016 -0500
Commit:     Greg Blomquist <gblomqui@redhat.com>
CommitDate: Fri Mar 4 10:29:38 2016 -0500

    Merge branch 'bz1310248' into '5.4.z'
    
    Update Bunny gem
    
    Update Bunny gem, the old gem couldn't handle reconnect when
    amqp service got restarted.
    
    Seems like new bunny works the same, so no changes in using it
    are needed.
    
    Fixes BZ:
    https://bugzilla.redhat.com/show_bug.cgi?id=1310248
    
    Cherrypick with conflicts of:
    https://github.com/ManageIQ/manageiq/pull/6857
    
    Conflicts in placement of the Gemfile
    
    Upstream PR has not been merged yet
    
    
    See merge request !832

 lib/Gemfile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 7 Ronnie Rasouli 2016-03-29 07:56:13 UTC
Tested on CFME 5.4.5.2 
RHOS8 release 1.0.38
Did  systemctl restart rabbitmq-server on the undercloud node
Connection recovered:

AMQP Credentials are valid afterwards, no errors in evm.log after the rabbitmq-server restart

Comment 9 errata-xmlrpc 2016-03-29 14:18:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0171.html


Note You need to log in before you can comment on or make changes to this bug.